Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration errors

From: Zack Weinberg <[email-masked]>
Date: Wed, 28 Dec 2022 22:20:50 -0500

On Thu, 15 Dec 2022 11:48:44 -0500, Frederic Berat wrote:
> On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <[email-masked]> wrote:
> > >     return yylex ();
> > Please change `int main ()` to `int main (void)` as long as you're in here.
> I'm hesitant on this. That isn't the purpose of the patch, and if I
> start to do that, there are about 48 files that would need to be
> touched (which omit void for empty argument list).

Yeah, I suppose that ought to be its own separate patch, in that
case.

> Kind of a noisy change with no real benefit.

It’d be a step in the direction of making the testsuite run cleanly
with -Wstrict-prototypes and/or -Wold-style-definition, which might
plausibly help with the related effort to support compilers that
reject old-style definitions.  But I agree that it’s not a high
priority and shouldn’t block this patch.

zw